### Hierarchy

- unknown
  - OfferPayload

## Index

### Constructors

- constructor

### Methods

- addAcceptedBankIds
- addAcceptedCountryCodes
- addReserveTxKeyImages
- clearAcceptedBankIdsList
- clearAcceptedCountryCodesList
- clearArbitratorSigner
- clearExtraDataMap
- clearOwnerNodeAddress
- clearPubKeyRing
- clearReserveTxKeyImagesList
- getAcceptedBankIdsList
- getAcceptedCountryCodesList
- getAmount
- getArbitratorSignature
- getArbitratorSigner
- getBankId
- getBaseCurrencyCode
- getBlockHeightAtOfferCreation
- getBuyerSecurityDeposit
- getCounterCurrencyCode
- getCountryCode
- getDate
- getDirection
- getExtraDataMap
- getHashOfChallenge
- getId
- getIsPrivateOffer
- getLowerClosePrice
- getMakerFee
- getMakerPaymentAccountId
- getMarketPriceMarginPct
- getMaxTradeLimit
- getMaxTradePeriod
- getMinAmount
- getOfferFeePaymentTxId
- getOwnerNodeAddress
- getPaymentMethodId
- getPrice
- getProtocolVersion
- getPubKeyRing
- getReserveTxKeyImagesList
- getSellerSecurityDeposit
- getTxFee
- getUpperClosePrice
- getUseAutoClose
- getUseMarketBasedPrice
- getUseReOpenAfterAutoClose
- getVersionNr
- hasArbitratorSigner
- hasOwnerNodeAddress
- hasPubKeyRing
- serializeBinary
- setAcceptedBankIdsList
- setAcceptedCountryCodesList
- setAmount
- setArbitratorSignature
- setArbitratorSigner
- setBankId
- setBaseCurrencyCode
- setBlockHeightAtOfferCreation
- setBuyerSecurityDeposit
- setCounterCurrencyCode
- setCountryCode
- setDate
- setDirection
- setHashOfChallenge
- setId
- setIsPrivateOffer
- setLowerClosePrice
- setMakerFee
- setMakerPaymentAccountId
- setMarketPriceMarginPct
- setMaxTradeLimit
- setMaxTradePeriod
- setMinAmount
- setOfferFeePaymentTxId
- setOwnerNodeAddress
- setPaymentMethodId
- setPrice
- setProtocolVersion
- setPubKeyRing
- setReserveTxKeyImagesList
- setSellerSecurityDeposit
- setTxFee
- setUpperClosePrice
- setUseAutoClose
- setUseMarketBasedPrice
- setUseReOpenAfterAutoClose
- setVersionNr
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new OfferPayload(): OfferPayload

- Inherited from jspb.Message.constructor

  #### Returns OfferPayload

## Methods

### addAcceptedBankIds

- addAcceptedBankIds(value: string, index?: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3422

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns OfferPayload

### addAcceptedCountryCodes

- addAcceptedCountryCodes(value: string, index?: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3414

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns OfferPayload

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3483

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns OfferPayload

### clearAcceptedBankIdsList

- clearAcceptedBankIdsList(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3421

  #### Returns OfferPayload

### clearAcceptedCountryCodesList

- clearAcceptedCountryCodesList(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3413

  #### Returns OfferPayload

### clearArbitratorSigner

- clearArbitratorSigner(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3475

  #### Returns OfferPayload

### clearExtraDataMap

- clearExtraDataMap(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3467

  #### Returns OfferPayload

### clearOwnerNodeAddress

- clearOwnerNodeAddress(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3368

  #### Returns OfferPayload

### clearPubKeyRing

- clearPubKeyRing(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3373

  #### Returns OfferPayload

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3482

  #### Returns OfferPayload

### getAcceptedBankIdsList

- getAcceptedBankIdsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3419

  #### Returns string[]

### getAcceptedCountryCodesList

- getAcceptedCountryCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3411

  #### Returns string[]

### getAmount

- getAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3387

  #### Returns number

### getArbitratorSignature

- getArbitratorSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:3477

  #### Returns string

### getArbitratorSigner

- getArbitratorSigner(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:3472

  #### Returns undefined | NodeAddress

### getBankId

- getBankId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3416

  #### Returns string

### getBaseCurrencyCode

- getBaseCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:3393

  #### Returns string

### getBlockHeightAtOfferCreation

- getBlockHeightAtOfferCreation(): number

- - Defined in src/protobuf/pb_pb.d.ts:3427

  #### Returns number

### getBuyerSecurityDeposit

- getBuyerSecurityDeposit(): number

- - Defined in src/protobuf/pb_pb.d.ts:3436

  #### Returns number

### getCounterCurrencyCode

- getCounterCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:3396

  #### Returns string

### getCountryCode

- getCountryCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:3408

  #### Returns string

### getDate

- getDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3362

  #### Returns number

### getDirection

- getDirection(): OfferDirection

- - Defined in src/protobuf/pb_pb.d.ts:3375

  #### Returns OfferDirection

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3466

  #### Returns Map<string, string>

### getHashOfChallenge

- getHashOfChallenge(): string

- - Defined in src/protobuf/pb_pb.d.ts:3463

  #### Returns string

### getId

- getId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3359

  #### Returns string

### getIsPrivateOffer

- getIsPrivateOffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3460

  #### Returns boolean

### getLowerClosePrice

- getLowerClosePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:3454

  #### Returns number

### getMakerFee

- getMakerFee(): number

- - Defined in src/protobuf/pb_pb.d.ts:3433

  #### Returns number

### getMakerPaymentAccountId

- getMakerPaymentAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3402

  #### Returns string

### getMarketPriceMarginPct

- getMarketPriceMarginPct(): number

- - Defined in src/protobuf/pb_pb.d.ts:3381

  #### Returns number

### getMaxTradeLimit

- getMaxTradeLimit(): number

- - Defined in src/protobuf/pb_pb.d.ts:3442

  #### Returns number

### getMaxTradePeriod

- getMaxTradePeriod(): number

- - Defined in src/protobuf/pb_pb.d.ts:3445

  #### Returns number

### getMinAmount

- getMinAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3390

  #### Returns number

### getOfferFeePaymentTxId

- getOfferFeePaymentTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3405

  #### Returns string

### getOwnerNodeAddress

- getOwnerNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:3365

  #### Returns undefined | NodeAddress

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3399

  #### Returns string

### getPrice

- getPrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:3378

  #### Returns number

### getProtocolVersion

- getProtocolVersion(): number

- - Defined in src/protobuf/pb_pb.d.ts:3469

  #### Returns number

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:3370

  #### Returns undefined | PubKeyRing

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3480

  #### Returns string[]

### getSellerSecurityDeposit

- getSellerSecurityDeposit(): number

- - Defined in src/protobuf/pb_pb.d.ts:3439

  #### Returns number

### getTxFee

- getTxFee(): number

- - Defined in src/protobuf/pb_pb.d.ts:3430

  #### Returns number

### getUpperClosePrice

- getUpperClosePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:3457

  #### Returns number

### getUseAutoClose

- getUseAutoClose(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3448

  #### Returns boolean

### getUseMarketBasedPrice

- getUseMarketBasedPrice(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3384

  #### Returns boolean

### getUseReOpenAfterAutoClose

- getUseReOpenAfterAutoClose(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3451

  #### Returns boolean

### getVersionNr

- getVersionNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:3424

  #### Returns string

### hasArbitratorSigner

- hasArbitratorSigner(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3474

  #### Returns boolean

### hasOwnerNodeAddress

- hasOwnerNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3367

  #### Returns boolean

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3372

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3485

  #### Returns Uint8Array

### setAcceptedBankIdsList

- setAcceptedBankIdsList(value: string[]): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3420

  #### Parameters

  - ##### value: string[]

  #### Returns OfferPayload

### setAcceptedCountryCodesList

- setAcceptedCountryCodesList(value: string[]): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3412

  #### Parameters

  - ##### value: string[]

  #### Returns OfferPayload

### setAmount

- setAmount(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3388

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setArbitratorSignature

- setArbitratorSignature(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3478

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setArbitratorSigner

- setArbitratorSigner(value?: NodeAddress ): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3473

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns OfferPayload

### setBankId

- setBankId(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3417

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setBaseCurrencyCode

- setBaseCurrencyCode(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3394

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setBlockHeightAtOfferCreation

- setBlockHeightAtOfferCreation(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3428

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setBuyerSecurityDeposit

- setBuyerSecurityDeposit(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3437

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setCounterCurrencyCode

- setCounterCurrencyCode(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3397

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setCountryCode

- setCountryCode(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3409

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setDate

- setDate(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3363

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setDirection

- setDirection(value: OfferDirection ): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3376

  #### Parameters

  - ##### value: OfferDirection

  #### Returns OfferPayload

### setHashOfChallenge

- setHashOfChallenge(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3464

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setId

- setId(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3360

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setIsPrivateOffer

- setIsPrivateOffer(value: boolean): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3461

  #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

### setLowerClosePrice

- setLowerClosePrice(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3455

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setMakerFee

- setMakerFee(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3434

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setMakerPaymentAccountId

- setMakerPaymentAccountId(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3403

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setMarketPriceMarginPct

- setMarketPriceMarginPct(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3382

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setMaxTradeLimit

- setMaxTradeLimit(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3443

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setMaxTradePeriod

- setMaxTradePeriod(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3446

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setMinAmount

- setMinAmount(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3391

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setOfferFeePaymentTxId

- setOfferFeePaymentTxId(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3406

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setOwnerNodeAddress

- setOwnerNodeAddress(value?: NodeAddress ): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3366

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns OfferPayload

### setPaymentMethodId

- setPaymentMethodId(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3400

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### setPrice

- setPrice(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3379

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setProtocolVersion

- setProtocolVersion(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3470

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3371

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns OfferPayload

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3481

  #### Parameters

  - ##### value: string[]

  #### Returns OfferPayload

### setSellerSecurityDeposit

- setSellerSecurityDeposit(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3440

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setTxFee

- setTxFee(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3431

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setUpperClosePrice

- setUpperClosePrice(value: number): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3458

  #### Parameters

  - ##### value: number

  #### Returns OfferPayload

### setUseAutoClose

- setUseAutoClose(value: boolean): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3449

  #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

### setUseMarketBasedPrice

- setUseMarketBasedPrice(value: boolean): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3385

  #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

### setUseReOpenAfterAutoClose

- setUseReOpenAfterAutoClose(value: boolean): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3452

  #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

### setVersionNr

- setVersionNr(value: string): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3425

  #### Parameters

  - ##### value: string

  #### Returns OfferPayload

### toObject

- toObject(includeInstance?: boolean): OfferPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3486

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns OfferPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3489

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferPayload, reader: BinaryReader): OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3490

  #### Parameters

  - ##### message: OfferPayload

  - ##### reader: BinaryReader

  #### Returns OfferPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3488

  #### Parameters

  - ##### message: OfferPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: OfferPayload ): OfferPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3487

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferPayload

  #### Returns OfferPayload . AsObject

Generated using TypeDoc